<template lang="pug">

div(
  :id="apiData.cssid"
  :style="apiData.style"
) {{ apiData.data }}

</template>




<script>

// import GridElement from "./GridElement.vue"
// import {apiPCS} from "./api"

export default {
  name: 'ProjectCard',
  // -------------------------------------------------------------
  props: { 

    apiData: Object

  },
  // -------------------------------------------------------------
  data : () => { return {
  }},
  // -------------------------------------------------------------
  components: {
    // GridElement
  },
  // -------------------------------------------------------------
  created() {
  //   apiPCS.get(this.$props.data.api)  // pug | data | style
  //   .then(rsp=>{
  //     this.$data.apiData = rsp.data   // $data = rsp.json()
  //     this.$data.apiCall = true       // !animLoad > displayComp
  //   })
  //   .catch(err=>{console.log(err)})   // displayErrorApiCall
  // },
  }
}


</script>





<style scoped lang="stylus">


@media (min-width:2600px) and (max-width: 3840px)
  pass

@media (min-width:1921px) and (max-width: 2600px)
  pass

@media (min-width:1125px) and (max-width: 1920px)
  pass

@media (max-width: 920px) and (max-height: 1125px)
  pass

@media (max-width: 753px) and (max-height: 920px)
  pass


</style>
